/********************************************************/
/*
/*      Typography CSS
/*
/********************************************************/
.wp-site-blocks * {
	-webkit-font-smoothing: antialiased;
}

h1, h2, h3, h4, h5, h6, p, span, label, blockquote, q, b, strong, i, em, mark, big, small, li, dt, dd {
	word-break: keep-all;
	word-wrap: normal;
}

.h1 {
	font-family: var(--wp--preset--font-family--maison-neue) !important;
	font-size: var(--wp--preset--font-size--omega) !important;
	line-height: 1 !important;
	font-weight: 700 !important;
}

.h2 {
	font-family: var(--wp--preset--font-family--cooper-lt-bt) !important;
	font-size: var(--wp--preset--font-size--2-x-large) !important;
	line-height: 1 !important;
	font-weight: 300 !important;
}

.h3 {
	font-family: var(--wp--preset--font-family--maison-neue) !important;
	font-size: var(--wp--preset--font-size--large) !important;
	line-height: 1 !important;
	font-weight: 700 !important;
}

.h4 {
	font-family: var(--wp--preset--font-family--maison-neue) !important;
	font-size: var(--wp--preset--font-size--medium-large) !important;
	line-height: 1 !important;
	font-weight: 700 !important;
}

.h5 {
	font-family: var(--wp--preset--font-family--maison-neue) !important;
	font-size: var(--wp--preset--font-size--medium) !important;
	line-height: 1 !important;
	font-weight: 700 !important;
}

.h6 {
	font-family: var(--wp--preset--font-family--maison-neue) !important;
	font-size: var(--wp--preset--font-size--small) !important;
	line-height: 1 !important;
	font-weight: 700 !important;
}

a[href] {
	transition: color .3s;
}

@media (width <= 500px) {
	h1, h2, h3, h4, h5, h6, p, span, label, blockquote, q, b, strong, i, em, mark, big, small, li, dt, dd {
		overflow-wrap: break-word;
		word-break: break-word;
		
		&:not(.keep-all) {
			hyphens: auto;
			hyphenate-limit-chars: 12 6 6; /* Prevent hyphenation on shorter words */
		}
	}
}

@media (width <= 300px) {
	h1, h2, h3, h4, h5, h6, p, span, label, blockquote, q, b, strong, i, em, mark, big, small, li, dt, dd {
		hyphens: auto;
		hyphenate-limit-chars: unset; /* Remove hyphenation word-length requirement */
	}
}